summaryrefslogtreecommitdiff
path: root/dev-python/wcmatch
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-28 11:20:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-28 11:20:33 +0000
commit267c6b1fcee2052fff5dcc8cb6a09b65bf15fc02 (patch)
tree50c9b94d75da31b88e833ac64e318e58f706d800 /dev-python/wcmatch
parentcb8cf8b29dd05b643700139d6f9d3c3aa8838543 (diff)
downloadsrcux-267c6b1fcee2052fff5dcc8cb6a09b65bf15fc02.tar.gz
srcux-267c6b1fcee2052fff5dcc8cb6a09b65bf15fc02.tar.xz
srcux-267c6b1fcee2052fff5dcc8cb6a09b65bf15fc02.zip
Adding metadata
Diffstat (limited to 'dev-python/wcmatch')
-rw-r--r--dev-python/wcmatch/Manifest1
-rw-r--r--dev-python/wcmatch/wcmatch-10.0.ebuild61
-rw-r--r--dev-python/wcmatch/wcmatch-9.0.ebuild2
3 files changed, 63 insertions, 1 deletions
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 90c3ad7335ee..12007fb52d2f 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1,2 @@
+DIST wcmatch-10.0.gh.tar.gz 118184 BLAKE2B ffc98749b111f472244a35654c8d57144e0f242f33b04e672a3b7d810c5c6c1b2c36172c09437e159c30812916fe15c7690fc3c2a1de14035f04ed801e898dc2 SHA512 db8fcfc7b0bef0256530a86f25491309b0d67f51ec9f60d9e6d2e3f49ae5e94ce432981aa2fb6b1f2086758a4eaa4a53daf9b2f765bd75480230f6064f181e75
DIST wcmatch-9.0.gh.tar.gz 116090 BLAKE2B 6d33886a9f1f0f53c95dcd8adcebffcd50075c54f8a6398d22e372b811dab33a09152c98d982ed817c9230ae0f200e74dac209da785979365aa38a511b790965 SHA512 638a59b70729eeb39a9bc059d08271b8cfe924a9fce4317718b3cc38e057f1176ec87b033f9f30494fce5c1d24560ef22cd0d9e2a4df12c2b765c3e1358756d6
diff --git a/dev-python/wcmatch/wcmatch-10.0.ebuild b/dev-python/wcmatch/wcmatch-10.0.ebuild
new file mode 100644
index 000000000000..9b6c94c0c0a6
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-10.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+DISTUTILS_USE_PEP517=hatchling
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ >=dev-python/mkdocs-pymdownx-material-extras-2.0
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/
+"
+SRC_URI="
+ https://github.com/facelessuser/wcmatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/bracex-2.1.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/wcmatch/wcmatch-9.0.ebuild b/dev-python/wcmatch/wcmatch-9.0.ebuild
index 3236a6f4add5..8e62352eb4c9 100644
--- a/dev-python/wcmatch/wcmatch-9.0.ebuild
+++ b/dev-python/wcmatch/wcmatch-9.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
DISTUTILS_USE_PEP517=hatchling
DOCS_BUILDER="mkdocs"